Part Cylinder/zh-cn: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(10 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Part_Cone|Cone]]
|[[Part_Box|Box]]
|[[Part_Sphere|Sphere]]
|[[Part_Sphere|Sphere]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Cone.svg
|IconL=Part_Box.svg
|IconC=Workbench_Part.svg
|IconR=Part_Sphere.svg
|IconR=Part_Sphere.svg
|IconC=Workbench_Part.svg
}}
}}


Line 12: Line 13:
|Name=Part Cylinder
|Name=Part Cylinder
|MenuLocation=Part → Primitives → Cylinder
|MenuLocation=Part → Primitives → Cylinder
|Workbenches=[[Part Module|Part]]
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part CreatePrimitives|Part CreatePrimitives]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
}}


==Description==

<div class="mw-translate-fuzzy">
== 描述 ==
== 描述 ==
利用位置、角度、半径与高度参数创建一个简单的参数化圆柱体。
利用位置、角度、半径与高度参数创建一个简单的参数化圆柱体。
</div>

A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.

[[Image:Part_Cylinder_Example.png|400px]]


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 24: Line 33:
</div>
</div>


# There are several ways to invoke the command:
# Open the {{Button|[[Image:Workbench_Part.svg|16px]] [[Part Workbench|Part]]}} Workbench.
#* Press the {{Button|[[Image:Part_Cylinder.svg|16px]] [[Part_Cylinder|Part Cylinder]]}} button.
# Invoke the Part Cylinder command several ways:
#* Press the {{Button|[[Image:Part_Cylinder.svg|24px]]}} button in the toolbar
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cylinder.svg|16px]] Cylinder}} option from the menu.
# The cylinder is created.
#* Use the {{MenuCommand|Part → Primitives → Cylinder}} entry from the top menu
# Optionally change the dimensions and {{PropertyData|Placement}} of the cylinder by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


== Example ==
'''Result:''' The default result is for a full cylinder is to be centered by one circular face coincident with the global origin (point 0,0,0), with a radius of 2mm and height of 10mm.


[[Image:Part_Cylinder_Scripting_Example.png|thumb|Part Cylinder from the scripting example]]

A Part Cylinder object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Cylinder can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

<div class="mw-translate-fuzzy">
== 选项 ==
== 选项 ==
创建圆柱体后,用户可编辑其数据选项卡中的各属性:
创建圆柱体后,用户可编辑其数据选项卡中的各属性:
</div>


See also: [[Property_editor|Property editor]].
[[File:cylinder.png|650px|以圆柱体工具创建的一个圆柱体]]


A Part Cylinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
==== 圆柱体 ====

* {{Parameter|Angle:}} 此角度属性确定的是所创圆柱体的具体部分(默认设定值为360°)。
=== Data ===
* {{Parameter|Height:}} 此高度属性为圆柱体在z轴方向上的长度。

* {{Parameter|Radius:}} 此半径属性定义了圆柱体在x-y平面内的端面。
{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Cylinder}}

* {{PropertyData|Radius|Length}}: The radius of the circular arc that defines the cylinder. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: The height of the cylinder. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the cylinder. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cylinder.

{{TitleProperty|Prism}}

* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Cylinder can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
}}

* Where {{Incode|"myCylinder"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()
}}




{{Docnav
{{Docnav
|[[Part_Cone|Cone]]
|[[Part_Box|Box]]
|[[Part_Sphere|Sphere]]
|[[Part_Sphere|Sphere]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Cone.svg
|IconL=Part_Box.svg
|IconC=Workbench_Part.svg
|IconR=Part_Sphere.svg
|IconR=Part_Sphere.svg
|IconC=Workbench_Part.svg
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 08:54, 4 March 2022

Part Cylinder

Menu location
Part → Primitives → Cylinder
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

描述

利用位置、角度、半径与高度参数创建一个简单的参数化圆柱体。

A Part Cylinder can be turned into a segment of a cylinder by changing its 数据Angle property.

如何使用

零件工作台中点击此图标。默认情况下,此工具会创建一个对齐于坐标轴的半径为2mm且高度为10mm的完整圆柱体,并令其中心与全局原点(point 0,0,0)重合。

  1. There are several ways to invoke the command:
    • Press the Part Cylinder button.
    • Select the Part → Primitives → Cylinder option from the menu.
  2. The cylinder is created.
  3. Optionally change the dimensions and 数据Placement of the cylinder by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the 数据Placement with the Std TransformManip command.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

选项

创建圆柱体后,用户可编辑其数据选项卡中的各属性:

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • 数据Radius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • 数据Height (Length): The height of the cylinder. The default is 10mm.
  • 数据Angle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • 数据First Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • 数据Second Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()